Skip navigation
tykiim
Currently Being Moderated

License question - recompile old SDK with one piece of new SDK

Sep 7, 2011 10:06 AM

This is a question about the legal obligations under the MPL 1.1, under which the 3.5.0.12683 and 3.6.0.16995 have been released.

 

We just migrated to the 3.5 SDK (from 3.2) and have encountered the bug with the ComboBox display not being updated when the dataprovider gets updated through databinding. In order to fix this, we need to use the ComboBox from the 3.6 SDK. We cannot move to the 3.6 SDK at this time due to business conflicts and automation requirements.

 

One option on the table is to copy the 3.6 ComboBox into the 3.5 framework source code and rebuild/redeploy the framework SWC and RSL. What implications does this have under the MPL? Do we need to release the source code of the recompiled framework SWC, or just keep a changelog bundled with the SWC?

 

Also, are there other issues introduced in 3.5 that 3.6 resolves that we should look at cloning? (Basically we want the latest 3.x fixes, but not the automation updates.)

 

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points